Trouble installing

Having trouble installing serendipity?
Post Reply
wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Trouble installing

Post by wreidcornwell » Sun Apr 14, 2019 1:17 am

I am trying to install 2.1.4 on php7.3.4.

When I try to run index.php I get the following error.

PHP Deprecated: The each() function is deprecated. This message will be suppressed on further calls in C:\Websites\A-blog-test\serendipity\bundled-libs\Smarty\libs\sysplugins\smarty_internal_compilebase.php on line 75

Zend tells me php is running successfully.

Any suggestions - Reid

User avatar
onli
Regular
Posts: 2227
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: Trouble installing

Post by onli » Sun Apr 14, 2019 9:27 am

PHP 7.3.4 is too new for Serendipity 2.1.4. The version in the github master (https://github.com/s9y/Serendipity) is changed to be better compatible, but did not have a stable release yet.

In my blogs I installed it anyway, though with PHP 7.2. The alternative is to downgrade the PHP version for Serendipity 2.1.4 (ideally to PHP 7.0).

wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Re: Trouble installing

Post by wreidcornwell » Sun Apr 14, 2019 7:35 pm

What about serendipity 2.2?

User avatar
onli
Regular
Posts: 2227
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: Trouble installing

Post by onli » Sun Apr 14, 2019 7:53 pm

Serendipity 2.2 is what is in the the github master, it had an alpha release last year but many improvements since. It's tested with PHP 7.2, but PHP 7.3 is likely to support it equally well.

Best thing to do is to upgrade to the current git master, if there are problem with PHP 7.3 downgrade that to PHP 7.2.

wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Re: Trouble installing

Post by wreidcornwell » Sun Apr 14, 2019 10:32 pm

I gotten to the Serendipity Administration Suite - all requirements met, however it says
Imagemagick binary Not found [?]
Execute Imagemagick binary Not found [?]
php_imagick.dll located in /ext dire
phpinfo() says imagick installed but 0 formats recognized

Where are the binaries suppose to be located?

User avatar
onli
Regular
Posts: 2227
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: Trouble installing

Post by onli » Sun Apr 14, 2019 10:49 pm

I have no idea whether it is even possible to get that working under Windows. Maybe it is easier to get gd to work?

wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Re: Trouble installing

Post by wreidcornwell » Mon Apr 15, 2019 4:22 pm

I was able to get php_imagick 3.4.3.7.3-nts-vc-15-x64 working with Php-Info() reporting 239 file types recognized :) However, I made a mistake in the "simple install" and now have to uninstall or back-up and correct. Can anyone tell me how to back-up without losing everything.

jmglastetter
Regular
Posts: 11
Joined: Fri Dec 14, 2018 7:27 am

Re: Trouble installing

Post by jmglastetter » Mon Apr 15, 2019 4:52 pm

For what it's worth, I've been running 2.1.4 and php 7.3.0 for quite some time now with no known ill effects.
Last edited by jmglastetter on Tue Apr 16, 2019 6:56 am, edited 1 time in total.

wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Re: Trouble installing

Post by wreidcornwell » Mon Apr 15, 2019 8:21 pm

Thanks

wreidcornwell
Regular
Posts: 6
Joined: Sun Apr 14, 2019 1:00 am

Re: Trouble installing

Post by wreidcornwell » Mon Apr 22, 2019 7:45 pm

After posting my original post I have arrived back at the same problem. I have a working install of Php 7.2.17
I have a working Imagemagick (tested) v. 7.07-11-15-x64
I am trying to install serendipity 2.2.1-alpha from github master
When I attempt to install serendipity it reports that the binaries cannot be found. I have tried everything I know how to do, with no joy. Is there anyone who can help? It is my guess that the path is not being read correctly, but I can't figure out how to change it. The windows advanced enviromental path settings are set to point directly to the appropriate files. :(

Post Reply